﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace RichTextBox_ProgrammalyInput
{
    /// <summary>
    /// MainWindow.xaml の相互作用ロジック
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void ContentInput(object sender, RoutedEventArgs e)
        {
            // Run要素のインスタンスを作成します。
            Run runFirst = new Run();

            // Run要素にテキストを設定します
            runFirst.Text = "プログラムからテキストを入力します。";

            // Pragraph要素のインスタンスを作成します。
            Paragraph paragraph = new Paragraph();

            // Pragraph要素にRun要素を設定します
            paragraph.Inlines.Add(runFirst);

            // FlowDocument要素のインスタンスを作成します。
            FlowDocument document = new FlowDocument();
            document.Blocks.Add(paragraph);

            // RichTextBoxのrichTBのDocumentプロパティに、Pragraph要素を代入します。
            richTB.Document = document;
        }
    }
}
